> For the complete documentation index, see [llms.txt](https://docs.omnata.com/omnata-product-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omnata.com/omnata-product-documentation/omnata-sync-for-snowflake/apps/google_sheets/release-history.md).

# Release History

***

### V2.1

#### Created: 2026-06-23

* Exposed CLEAR\_SHEET as a consumer UDF

***

### V2.0

#### Created: 2026-06-16

* Standardized inbound sync modes
* Added configurable header\_row support across discovery/reads
* Added incremental multi-file consolidated sync via a forward-only modifiedTime cursor
* Added outbound column-order preservation from field\_mappings.
* The new connection flow will be used

***

### V1.24

#### Created: 2026-05-14

* Fixed an issue where rate limiting responses caused sync runs to exit early

***

### V1.23

#### Created: 2026-03-19

* Introduced a new preserve\_column\_order checkbox which preserves the original column order from the source table

***

### V1.22

#### Created: 2025-07-11

* Added a workaround for scenarios where effectiveFormat is not included in the rowData response

***

### V1.21

#### Created: 2025-07-01

* Added sheet name to error messages when building schemas
* Upgraded to latest plugin runtime

***

### V1.20

#### Created: 2025-02-21

* Inbound sync configuration form now requires a spreadsheet selection before rendering the list of streams

***

### V1.19

#### Created: 2025-02-19

* Fixed an issue where API discovery broke after Anaconda starteed providing the google sheets package

***

### V1.18

#### Created: 2025-02-18

* If json-schema cannot be generated for a sheet, it is logged as an error and skipped

***

### V1.17

#### Created: 2024-11-02

* LIST\_SPREADSHEETS function now exposes extra search parameters
* In sync configuration, "Show spreadsheets shared with me" now defaults to false and "Search all shared drives" defaults to true

***

### V1.16

#### Created: 2024-09-16

* Fixed an issue where empty values in numeric columns would cause errors in the normalized view
* Migrated consumer UDFs to new convention

***

### V1.15

#### Created: 2024-08-31

* Fixed an issue caused by the previous release, where consumer UDFs errored when invoked

***

### V1.14

#### Created: 2024-08-30

* Added new Google Drive search options to outbound sync form
* The WRITE\_SHEET consumer UDF now accepts a plugin\_connection object result instead of a connection slug, as a workaround for a Snowflake UDTF nesting bug

***

### V1.13

#### Created: 2024-07-31

* The inbound configuration form now provides checkboxes to better control the Google Drive search options
* Improved handling of dates and timestamps in the normalized views

***

### V1.12

#### Created: 2024-07-23

* When listing Spreadsheets, items from all Drive types will now be shown. For Service Accounts, this will also include the sharedWithMe flag

***

### V1.11

#### Created: 2024-07-19

* Pinned some Anaconda dependencies to reduce package size

***

### V1.10

#### Created: 2024-07-19

* Fixed an issue where not all visible spreadsheet files were shown in the dropdown list
* Fixed an issue where empty rows in the sample of 200 would cause an error in the stream lister

***

### V1.9

#### Created: 2024-07-10

* Inbound syncs now operate with a concurrency of 1, to avoid being blocked by the Google Sheets API.
* Sheets containing invalid metadata are now excluded from the streams list instead of causing an error. A warning will be logged in the event table.

***

### V1.8

#### Created: 2024-07-09

* Improved handling of invalid sheet metadata responses

***

### V1.7

#### Created: 2024-07-02

* Provided an alternate parameter set for consumer UDFs

***

### V1.6

#### Created: 2024-06-27

* Removed ROW\_NUMBER parameter from the WRITE\_SHEET consumer UDTF as there was limited practical use for it

***

### V1.5

#### Created: 2024-06-21

* Provided four initial consumer UDFS: LIST\_SPREADSHEETS, LIST\_SPREADSHEET\_SHEETS, READ\_SHEET and WRITE\_SHEET

***

### V1.4

#### Created: 2024-05-30

* Fixed an issue where columns with semi-structured data types caused outbound syncs to fail

***

### V1.3

#### Created: 2024-05-23

* Inbound syncs now support composite primary keys

***

### V1.2

#### Created: 2024-05-18

* Fixed issue where Service Account connections would error when syncing

***

### V1.1

#### Created: 2024-04-04

* Pinned all dependencies

***

### V1.0

#### Created: 2024-04-03

* Add Service Account as a connection method

***

### PUBLIC\_PREVIEW\.7

#### Created: 2024-04-02

* Use latest plugin runtime
* Built with omnata-plugin-devkit==0.3.17 which includes pinned stored proc dependencies

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.omnata.com/omnata-product-documentation/omnata-sync-for-snowflake/apps/google_sheets/release-history.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
